/*
 * NoThermostat.cpp
 *
 *  Created on: Aug 20, 2010
 *      Author: crueger
 */

#include "NoThermostat.hpp"

NoThermostat::NoThermostat()
{}

NoThermostat::~NoThermostat()
{}

ThermostatTraits<class NoThermostat>::ThermostatTraits() :
  name("None")
{}

Thermostat *ThermostatTraits<class NoThermostat>::make(class ConfigFileBuffer * const fb){
  return new class NoThermostat();
}

double NoThermostat::scaleAtoms(unsigned int step,double ActualTemp,ATOMSET(std::list) atoms){
  return 0;
}

double NoThermostat::scaleAtoms(unsigned int step,double ActualTemp,ATOMSET(std::vector) atoms){
  return 0;
}

double NoThermostat::scaleAtoms(unsigned int step,double ActualTemp,ATOMSET(std::set) atoms){
  return 0;
}

std::string NoThermostat::name(){
  return ThermostatTraits<NoThermostat>().name;
}

std::string NoThermostat::writeParams(){
  return "";
}
